Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82439 - /bin/ping ignores SIGINT while doing DNS queries
Summary: /bin/ping ignores SIGINT while doing DNS queries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: iputils
Version: phoebe
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-22 04:59 UTC by Dax Kelson
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-23 07:21:53 UTC


Attachments (Terms of Use)

Description Dax Kelson 2003-01-22 04:59:58 UTC
Description of problem:

On a fresh install of phoebe (Jan 16th release), I notice that /bin/ping is very
hard to stop via CONTROL-C when pinging a hostname that resolves to an IP
address with no PTR record.


Version-Release number of selected component (if applicable):
Red Hat Linux release 8.0.93 (Phoebe)
iputils-20020927-1

How reproducible:

everytime

Steps to Reproduce:
1. ping fw.gurulabs.com
2.
3.
    
Actual results:


# ping fw.gurulabs.com
PING fw.gurulabs.com (66.62.77.2) 56(84) bytes of data.
(VERY LONG PAUSE that doesn't immediately interrupt with CONTROL-C)
 64 bytes from 66.62.77.2: icmp_seq=1 ttl=47 time=64.4 ms
 
--- fw.gurulabs.com ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 64.480/64.480/64.480/0.000 ms

when I strace it, I see DNS queries happening during the hang.

[snip]
open("/var/nis/NIS_COLD_START", O_RDONLY) = -1 ENOENT (No such file or directory)
socket(PF_INET, SOCK_DGRAM, IPPROTO_IP) = 4
connect(4, {sa_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("10.24.238.5")}, 28) = 0
send(4, "F\212\1\0\0\1\0\0\0\0\0\0\0012\00277\00262\00266\7in-a"..., 41, 0) =
41gettimeofday({1043211317, 869204}, NULL) = 0
poll( <unfinished ...>

Expected results:

Should be able to interrupt ping at any time.

Additional info:

When I ping the IP address (ping doesn't do DNS lookups when pinging IP
addresses), I can interrupt the ping at any time with control-C.

Comment 1 Dax Kelson 2003-02-23 07:21:53 UTC
I tested in phoebe3, and problem is gone.


Note You need to log in before you can comment on or make changes to this bug.